0

I am using zypper to install rpm-build but I am getting issues:

zypper install rpm-build
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 4 NEW packages are going to be installed:
gettext-tools liblua5_3 rpm-build systemd-rpm-macros

The following 4 packages are going to be upgraded:
gettext-runtime liblzma5 rpm rpm-python

The following 8 packages are not supported by their vendor:
gettext-runtime gettext-tools liblua5_3 liblzma5 rpm rpm-build rpm-python systemd-rpm-macros

4 packages to upgrade, 4 new.
Overall download size: 4.6 MiB. Already cached: 0 B. After the operation,    additional 8.4 MiB will be used.
Continue? [y/n/? shows all options] (y): y
Retrieving package systemd-rpm-macros-3-5.30.noarch                                                                                                                                                       (1/8),  11.7 KiB ( 12.1 KiB unpacked)
Media source 'http://download.opensuse.org/tumbleweed/repo/oss/' does not contain the desired medium

Abort, retry, ignore? [a/r/i/? shows all options] (a): a
Problem occured during or after installation or removal of packages:
Installation aborted by user

I have tried changing the priorities of package but still facing the issue:

zypper lr -d
# | Alias    | Name     | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                    | Service
--+----------+----------+---------+-----------+---------+----------+--------  +--------------------------------------------------------+--------
1 | n_update | n_update | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/update/leap/42.2/non-oss/ |
2 | non-oss  | non-oss  | Yes     | ( p) Yes  | No      |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss/  |
3 | oss      | oss      | Yes     | (r ) Yes  | No      |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/oss/      |
4 | src-oss  | src-oss  | Yes     | (r ) Yes  | No      |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/src-oss   |
5 | update   | update   | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/        |
  • do zypper ref first; to make sure zypper contains up to date data from the remote repositories (or even zypper ref -f) – Chris Maes Dec 1 '16 at 14:06
  • why rpm-build ? this isn't supported way to create packages in opensuse. See openbuild service -> build.opensuse.org – mimi.vx Dec 12 '16 at 20:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.